<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class ClientCarePlanFlagUpdate extends Model
{
    protected $table = 'client_care_plan_flag_update';

    public function client() {
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

    public function carePlanFlagAcknowledgedBy() {
        return $this->hasOne(Pro::class, 'id', 'flag_acknowledged_by_pro_id');
    }

    public function carePlanFlaggedBy() {
        return $this->hasOne(Pro::class, 'id', 'flagged_by_pro_id');
    }
}
